{% extends 'common/base.html' %}
{% load static %}
{% load crispy_forms_tags %}


{% block title %}
    Edit post - {{ block.super }}
{% endblock %}

{% block content %}
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-md-6 card-body margin_top_default margin_bottom_default">
            <div class="card mb-3">
                <div class="card-body">
                    <form action="{{ post.get_update_url }}" enctype="multipart/form-data" method="post">
                        {% csrf_token %}
                        <!-- Img input block -->
                        <div>
                            <h6 class="mt-4">Add your picture</h6>
                            <label class="upload label_like_btn">
                                <span class="custom_hide" id="u_img" onchange="imgUploadPreviewer(this.id);">
                                    {{ form.image }}
                                </span>
                                <img src="{% static 'images/ic_photo_camera_24px.png' %}">
                            </label>
                        </div>
                        <!-- Img previewer block -->
                        <div class="imgShowPreviewer">
                            <img src="" class="wasAddMesu_imgmsg">
                        </div>
                        <div class="text-muted imgReport col"></div>
                        <button id="cnslprvimg" type="button" class="mt-1 btn btn-sm text-muted cancelPreview custom_hide" onclick="cancelImgUploadPreviewer(this.id);">
                            <img src="{% static 'images/ic_close_24px.png' %}">
                        </button>
                        <h6 class="mt-2">Add your text</h6>
                        {{ form.body }}
                        <label class="text-danger">
                        {% if form.errors %}
                            {{ form.errors }}
                        {% endif %}
                        </label>
                        <div class="interests_scrollable">
                            <div class="row justify-content-center">
                                <h6 class="mt-1">Add post interests</h6>
                                <div class="col-md-12 mt-3 text-left">
                                    <label>
                                        {{ form.interests }}
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="row justify-content-end">
                            <div class="col-auto">
                                <a class="btn btn-dark m-0 p-3 text-muted" href="{% url 'posts_list_url' %}">Cancel</a>
                                <button type="submit" class="btn btn-dark m-0 p-3">
                                    POST <img class="p-0 ml-1" src="{% static 'images/ic_send_24px.png' %}">
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}